| Cantera 3.0.0

Loading...
Searching...
No Matches
Classes | Namespaces | Enumerations
PreconditionerBase.h File Reference

Declarations for the class PreconditionerBase which is a virtual base class for preconditioning systems. More...

`#include "cantera/base/ctexceptions.h"`
Include dependency graph for PreconditionerBase.h:

## Detailed Description

Declarations for the class PreconditionerBase which is a virtual base class for preconditioning systems.

Definition in file PreconditionerBase.h.

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | PreconditionerBase
| PreconditionerBase serves as an abstract type to extend different preconditioners. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Enumerations
enum class | PreconditionerSide { NO_PRECONDITION , LEFT_PRECONDITION , RIGHT_PRECONDITION , BOTH_PRECONDITION }
| Specifies the side of the system on which the preconditioner is applied. More...